require 'spec_helper'

describe Masheri::RpcClient do
  let(:query) {
    "SELECT * FROM whatevers"
  }

  let(:params) {
    {
      'method' => "object.query",
      'params' => [query],
      'id'     => 1
    }
  }

  let(:headers) {
    {
      "Content-Type"   => "application/json",
      "Accept"         => "text/plain",
      "Content-Length" => params.size
    }
  }

  it "should post to RpcClient with the proper arguments" do
    ::RestClient.should_receive(:post).with(Masheri.rpc.url, params.to_json, headers).and_return({hello: 'world'}.to_json)
    Masheri.rpc.query(query)
  end
end

